# Security Policy

TLS Inspector is a security focused application that is designed to enhance your privacy
while browsing the web on your mobile device. This document describes our policy for handling
security vulnerabilities within the TLS Inspector software.

This policy does not apply to any websites, including the TLS Inspector website. To report
an issue with the TLS Inspector website, contact [Ian Spence](https://ianspence.com/).

## Supported Versions

We only provide support for the most recent version of TLS Inspector that is released in the Apple
App Store. Older versions are not supported and may contain unfixed security vulnerabilities.

We provide limited support to pre-release "testflight" versions of the app. These versions may
contain security vulnerabilities and use of pre-release software is at your own risk.

We do not provide support for any version of the app on modified iOS devices, commonly known as
"Jailbreaking". While we will not prevent you from running the app on these devices, you are using
the app entirely at your own risk.

## Reporting a Vulnerability

Please do not report security vulnerabilities as issues on Github, as these are public.
Depending on the severity of the issue, which may be larger than you think, we ask that we keep
reports private until we can determine the scope of the issue.

Instructions on how to report vulnerabilities to us are provided on our website:
https://tlsinspector.com/vulnerability.html

We prefer that you use Signal to report issues instead of email. We do not provide PGP keys no
support PGP emails.

# Q & A

**Do you offer any form of reward for identifying security issues?**
We do not run a bug bounty program and do not offer monetary rewards. TLS Inspector is an open
source project with absolutely no budget. All expenses for the project are donated. We will provide
credit to you (of a name of your choice and link to a single profile) in release notes for
discovered issues.

**I've found a vulnerable website, where do I report it?**
The website, not to us. We can't fix other peoples websites.